package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag992;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT992Creator;

public class Tag79Creator extends AbsTagCreate {
    private MT992Creator mt992Creator;

    public Tag79Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt992Creator= (MT992Creator) absMTCreator;
    }

    public void creator()
    {
        String tag79Value = mt992Creator.getNarrativeDescriptionoftheOriginalMessage();
        mt992Creator.set("79", tag79Value);
    }
}
